It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
There's a mod called Classical World that requires both this game and Hegemony Rome and all their DLCs. Is there a way to make it run with GOG's Hegemony III?
No posts in this topic were marked as the solution yet. If you can help, add your reply
Hey, I don'T know if you've already found a way to do this (I guess you can't access the mods on steam). You might try if you can get it from MOD-DB, there's an entry for CW6:

https://www
moddb.com/mods/classical-world-6s/downloads/cw6
avatar
KR_777: Hey, I don'T know if you've already found a way to do this (I guess you can't access the mods on steam). You might try if you can get it from MOD-DB, there's an entry for CW6:

https://www
moddb.com/mods/classical-world-6s/downloads/cw6
Thanks for your answer, but the problem is not about getting the mod itself. The mod says it requires Hegemony Rome, but GOG doesn't sell Hegemony Rome. I don't mind if I have to buy it on Steam, but I would prefer not to purchase Hegemony III on Steam because I've already bought it from GOG.

But I guess that's the only possible way.
avatar
KR_777: Hey, I don'T know if you've already found a way to do this (I guess you can't access the mods on steam). You might try if you can get it from MOD-DB, there's an entry for CW6:

https://www
moddb.com/mods/classical-world-6s/downloads/cw6
avatar
1jocator: Thanks for your answer, but the problem is not about getting the mod itself. The mod says it requires Hegemony Rome, but GOG doesn't sell Hegemony Rome. I don't mind if I have to buy it on Steam, but I would prefer not to purchase Hegemony III on Steam because I've already bought it from GOG.

But I guess that's the only possible way.
Hey, I think I've read that the mod actually is working even without Hegemony Rome. Hegemony Rome is only required for the special unit graphics. So there may be an occasional error message when the mod tries to load these, but you can close the message with F2 and it should be fine. Not tested this myself, but read this on the reddit r/hegemony_series from a guy who contributed to the mod.